Table of Contents

## Name

im_grey, im_fgrey - creates a left-right grey scale

## Synopsis

#include <vips/vips.h>

int im_grey( image, xsize, ysize )
IMAGE *image;
int xsize, ysize;

int im_fgrey( image, xsize, ysize )
IMAGE *image;
int xsize, ysize;

## Description

im_grey() creates a one-band FMTUCHAR grey scale image of sizes xsize by ysize. The intensity varies from 0 (left) to 255 (right).

im_fgrey() works as im_grey(), except that the output image is FMTFLOAT, allowing pixel values from 0 (left) to 1.0 (right).

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_black(3X)

## Copyright

Birkbeck College and the National Gallery, 1995

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright